EXTRA_PROGRAMS=saccept sconnect

saccept_SOURCES=saccept.c
saccept_LDFLAGS=-L$(top_builddir)/crypto -L$(top_builddir)/ssl
saccept_LDADD=-lssl -lcrypto
saccept_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a \
	$(top_builddir)/ssl/libssl.a

sconnect_SOURCES=sconnect.c
sconnect_LDFLAGS=-L$(top_builddir)/crypto -L$(top_builddir)/ssl
sconnect_LDADD=-lssl -lcrypto
sconnect_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a \
	$(top_builddir)/ssl/libssl.a

EXTRA_DIST=README server.pem

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a

$(top_builddir)/ssl/libssl.a:
	cd $(top_builddir)/ssl; $(MAKE) $(MFLAGS) libssl.a
